Page MenuHomeFreeBSD

New port: devel/p5-MooseX-MungeHas
ClosedPublic

Authored by kai on Apr 9 2019, 10:40 AM.

Details

Summary

MooseX::MungeHas alters the behaviour of the attributes of your Moo, Moose or
Mouse based class.

It manages to support all three because it doesn't attempt to do anything smart
with metathingies; it simply installs a wrapper for has that munges the
attribute specification hash before passing it on to the original has function.

WWW: https://metacpan.org/pod/MooseX::MungeHas

PR: 237109
Submitted by: Geoffroy Desvernay
Approved by: (one of the mentors)

Test Plan
  • poudriere (11.2-, 12.0-RELEASE, 13.0-CURRENTr345355 amd64 + i386) -> OK
  • portlint -> OK
  • Runtime tests -> OK

Test results with "make test" yields"

t/000-report-versions-tiny.t .. ok
t/basic.t ..................... ok
All tests successful.
Files=3, Tests=6, 1 wallclock secs ( 0.03 usr 0.01 sys + 0.52 cusr 0.09 csys = 0.66 CPU)
Result: PASS

Minor fixes to the original patch:

  • Changed MAINTAINER to submitter's address
  • Added _LICENSE_FILE for ART10 and GPLv1+
  • Sorted _DEPENDS according to the PHB
  • Added TEST_DEPENDS
  • Merged pkg-plist into PLIST_FILES
  • Improved pkg-descr a bit by realigning it to the 80 char width and added WWW entry

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 23588
Build 22578: arc lint + arc unit

Event Timeline

kai created this revision.Apr 9 2019, 10:40 AM
tcberner requested changes to this revision.Apr 13 2019, 7:22 AM

This needs to be hooked into devel/Makefile

This revision now requires changes to proceed.Apr 13 2019, 7:22 AM
tcberner added inline comments.Apr 13 2019, 7:29 AM
devel/p5-MooseX-MungeHas/Makefile
18

^ no, this is not doing what you want:

> make -VBUILD_DEPENDS -C devel/p5-MooseX-MungeHas
p5-Moose>=1.10:devel/p5-Moose perl5>=5.28.r1<5.29:lang/perl5.28 perl5>=5.28.r1<5.29:lang/perl5.28

The porters handbook also documents this (for the other way around). Here it's not that harmful...

As it is only one depend, write it twice :)

tcberner added inline comments.Apr 13 2019, 7:34 AM
devel/p5-MooseX-MungeHas/Makefile
18

I take it back, apparently it is fine by the commit message of rP474242

kai updated this revision to Diff 56162.Apr 13 2019, 10:34 AM

Fully write out BUILD_DEPENDS instead referencing to ${RUN_DEPENDS}

kai marked 2 inline comments as done.Apr 13 2019, 10:41 AM
miwi accepted this revision.Apr 15 2019, 3:08 AM

LGTM

This revision was not accepted when it landed; it landed in state Needs Review.Apr 15 2019, 9:13 AM
Closed by commit rP499008: New port: devel/p5-MooseX-MungeHas (authored by kai, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.